### Method

# Camel OfflineStore set_online

since: 3.26

#### Declaration [src]

    void
    camel_offline_store_set_online (
      CamelOfflineStore* store,
      gboolean online,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

An asynchronous variant of camel_offline_store_set_online_sync(). Call `camel_offline_store_set_online_finish()` from within the `callback`.

Available since: 3.26

This method completes asynchronously. Use `camel_offline_store_set_online_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`online`

  Type: `gboolean`

  `TRUE` for online, `FALSE` for offline.

`io_priority`

  Type: `gint`

  The I/O priority for the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.